---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: gitlab-combined
spec:
  acme:
    email: ops-contact+letsencrypt@gitlab.com
    preferredChain: ""
    privateKeySecretRef:
      name: gitlab-combined-dns-issuer-account-key
    server: https://acme-v02.api.letsencrypt.org/directory
    solvers:
      - selector:
          dnsZones:
            - ${cluster}.${region}.${project}.${provider}.${domain}
            - ${cluster_environment}.${provider}.${domain}
        dns01:
          cloudDNS:
            project: ${project}
      - selector:
          dnsZones:
            - ${domain}
            - ${environment}.${domain}
            - ${environment}.gitlab.com
        dns01:
          cloudflare:
            apiTokenSecretRef:
              key: api-token
              name: cloudflare-dns-access-v1
